DISK_REPLACE_PART_TB(9)

NAME
disk_replace_part_tbl - replace disk->part_tbl in RCU-safe way

SYNOPSIS

void disk_replace_part_tbl(struct gendisk * disk, struct disk_part_tbl * new_ptbl);

ARGUMENTS

disk
    disk to replace part_tbl for

new_ptbl
    new part_tbl to install

DESCRIPTION

Replace disk->part_tbl with new_ptbl in RCU-safe way. The original ptbl is freed using RCU callback.

LOCKING

Matching bd_mutx locked.

COPYRIGHT